### File

`packages/eui/packages/components-next/src/lib/layout/eui-header/header-app-name/header-app-name.component.ts`

### Implements

`OnInit` `OnChanges`

### Metadata

changeDetection | `ChangeDetectionStrategy.Default`
encapsulation | `ViewEncapsulation.None`
selector | `eui-header-app-name`
templateUrl | `./header-app-name.component.html`

### Index

###### Properties
Public asService
###### HostBindings
class

### Constructor

`constructor(asService: UxAppShellService, elRef: ElementRef)`
Parameters :
Name | Type | Optional
asService | `UxAppShellService` | No
elRef | `ElementRef` | No

### HostBindings

class
Default value : `'eui-header-app-name'`

### Properties

Public asService
Type : `UxAppShellService`

# result-matching ""

# No results matching ""